//===========================================================================
// Smarclient FPMS Demo Project a sample project for SmartClient technology.
// Smarclient FPMS Demo is designed and implemented bases Microsoft Application Block tech.
// Author: SFPMS Team, Date 2004-11
// Vision 1.0
// Revison History
//===========================================================================

using System;
using System.Data; 
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using JSW.FPMS.YiDong.KongZhi;

namespace JSW.FPMS.YiDong.ShiTu
{

	/// <summary>
	/// Form1 的摘要说明。
	/// </summary>
	public class XuQiuChaXunForm : System.Windows.Forms.Form
	{
		#region 成员变量区域
		private System.Windows.Forms.DataGridTableStyle DGTS_XuQiu;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_CaiJiShiJian;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_TiChuRen;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_YuFuBianMa;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_XuQiuLeiBie;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_DaFuRen;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_DaFuShiJian;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_XinXiDianBianHao;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_XuQiuManYiDu;
		private System.Windows.Forms.Button BT_ShuanXin;
		private System.Windows.Forms.DataGrid DG_XuQiu;	

		private clsXuQiuChaXunKongZhi jiemianKongZhi = null;
		private System.Windows.Forms.DataGridTextBoxColumn DGTSTB_DaFu;
		private System.Windows.Forms.Button BT_FanKui;		
		#endregion

		#region 私有方法区域

		#region Windows 窗体设计器生成的代码
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(XuQiuChaXunForm));
			this.BT_ShuanXin = new System.Windows.Forms.Button();
			this.DG_XuQiu = new System.Windows.Forms.DataGrid();
			this.DGTS_XuQiu = new System.Windows.Forms.DataGridTableStyle();
			this.DGTSTB_CaiJiShiJian = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_TiChuRen = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_YuFuBianMa = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_XuQiuLeiBie = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_DaFuRen = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_DaFuShiJian = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_XinXiDianBianHao = new System.Windows.Forms.DataGridTextBoxColumn();
			this.DGTSTB_XuQiuManYiDu = new System.Windows.Forms.DataGridTextBoxColumn();
			this.BT_FanKui = new System.Windows.Forms.Button();
			this.DGTSTB_DaFu = new System.Windows.Forms.DataGridTextBoxColumn();
			// 
			// BT_ShuanXin
			// 
			this.BT_ShuanXin.Location = new System.Drawing.Point(40, 256);
			this.BT_ShuanXin.Size = new System.Drawing.Size(106, 24);
			this.BT_ShuanXin.Text = "刷新";
			this.BT_ShuanXin.Click += new System.EventHandler(this.BT_ShuanXin_Click);
			// 
			// DG_XuQiu
			// 
			this.DG_XuQiu.Location = new System.Drawing.Point(0, 8);
			this.DG_XuQiu.Size = new System.Drawing.Size(240, 240);
			this.DG_XuQiu.TableStyles.Add(this.DGTS_XuQiu);
			// 
			// DGTS_XuQiu
			// 
			this.DGTS_XuQiu.GridColumnStyles.Add(this.DGTSTB_CaiJiShiJian);
			this.DGTS_XuQiu.GridColumnStyles.Add(this.DGTSTB_DaFu);
			this.DGTS_XuQiu.GridColumnStyles.Add(this.DGTSTB_TiChuRen);
			this.DGTS_XuQiu.GridColumnStyles.Add(this.DGTSTB_YuFuBianMa);
			this.DGTS_XuQiu.GridColumnStyles.Add(this.DGTSTB_XuQiuLeiBie);
			this.DGTS_XuQiu.MappingName = "XuQiu";
			// 
			// DGTSTB_CaiJiShiJian
			// 
			this.DGTSTB_CaiJiShiJian.HeaderText = "采集时间";
			this.DGTSTB_CaiJiShiJian.MappingName = "CaiJiShiJian";
			this.DGTSTB_CaiJiShiJian.NullText = "";
			// 
			// DGTSTB_TiChuRen
			// 
			this.DGTSTB_TiChuRen.HeaderText = "提出人";
			this.DGTSTB_TiChuRen.MappingName = "TiChuRen";
			this.DGTSTB_TiChuRen.NullText = "";
			// 
			// DGTSTB_YuFuBianMa
			// 
			this.DGTSTB_YuFuBianMa.HeaderText = "育妇编码";
			this.DGTSTB_YuFuBianMa.MappingName = "YuFuBianMa";
			this.DGTSTB_YuFuBianMa.NullText = "";
			// 
			// DGTSTB_XuQiuLeiBie
			// 
			this.DGTSTB_XuQiuLeiBie.HeaderText = "需求类别";
			this.DGTSTB_XuQiuLeiBie.MappingName = "XuQiuLeiBie";
			this.DGTSTB_XuQiuLeiBie.NullText = "";
			// 
			// DGTSTB_DaFuRen
			// 
			this.DGTSTB_DaFuRen.NullText = "(null)";
			// 
			// DGTSTB_DaFuShiJian
			// 
			this.DGTSTB_DaFuShiJian.NullText = "(null)";
			// 
			// DGTSTB_XinXiDianBianHao
			// 
			this.DGTSTB_XinXiDianBianHao.NullText = "(null)";
			// 
			// DGTSTB_XuQiuManYiDu
			// 
			this.DGTSTB_XuQiuManYiDu.NullText = "(null)";
			// 
			// BT_FanKui
			// 
			this.BT_FanKui.Location = new System.Drawing.Point(136, 256);
			this.BT_FanKui.Size = new System.Drawing.Size(104, 24);
			this.BT_FanKui.Text = "反馈";
			this.BT_FanKui.Click += new System.EventHandler(this.BT_FanKui_Click);
			// 
			// DGTSTB_DaFu
			// 
			this.DGTSTB_DaFu.HeaderText = "答复人";
			this.DGTSTB_DaFu.MappingName = "DaFuRen";
			this.DGTSTB_DaFu.NullText = "";
			// 
			// XuQiuChaXunForm
			// 
			this.BackColor = System.Drawing.Color.LavenderBlush;
			this.ClientSize = new System.Drawing.Size(242, 287);
			this.Controls.Add(this.BT_FanKui);
			this.Controls.Add(this.DG_XuQiu);
			this.Controls.Add(this.BT_ShuanXin);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Text = "FPMS.移动-需求查询";
			this.Closing += new System.ComponentModel.CancelEventHandler(this.XuQiuChaXunForm_Closing);
			this.Load += new System.EventHandler(this.XuQiuChaXunForm_Load);

		}
		#endregion

		#region 事件响应区域
		/// <summary>
		/// 刷新响应
		/// </summary>
		private void BT_ShuanXin_Click(object sender, System.EventArgs e)
		{
			this.jiemianKongZhi.XuQiuChaXun(); 
		}		
		/// <summary>
		/// 刷新网格
		/// </summary>
		public void ShuaXinWangGe(DataSet ShuJu) 
		{
			DataSet xinShuJu = null;
			System.Data.DataView xinShuJuShiTu= null;
			
			if(ShuJu.Tables.Count > 0) 
			{  
				xinShuJu = ShuJu;
				xinShuJuShiTu = ShuJu.Tables[0].DefaultView; 
			}
			this.DG_XuQiu.DataSource = xinShuJuShiTu;
			//this.DG_XuQiu.Refresh(); 
		}
		/// <summary>
		/// 当界面被第一次装载的时候，装载需求数据
		/// </summary>
		private void XuQiuChaXunForm_Load(object sender, System.EventArgs e)
		{
			this.jiemianKongZhi.XuQiuChaXun(); 
		}
		/// <summary>
		/// 需求查询页面退出确认
		/// </summary>
		private void XuQiuChaXunForm_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		{			
			if(DialogResult.Yes != MessageBox.Show("您确认退出系统?","提示信息",MessageBoxButtons.YesNo,
				MessageBoxIcon.Question,MessageBoxDefaultButton.Button1))
				e.Cancel=true;		
		}		
		/// <summary>
		/// 单击反馈按钮响应事件
		/// </summary>
		private void BT_FanKui_Click(object sender, System.EventArgs e)
		{
			int hang = this.DG_XuQiu.CurrentRowIndex;
			if(hang > -1 ) 
			{				
				XuQiuFanKuiForm xinChuangTi = new XuQiuFanKuiForm(
					this.jiemianKongZhi.HuoDeShuJu(hang),this.jiemianKongZhi);
				xinChuangTi.ShowDialog();
			}
		
		}

		#endregion

		#endregion

		#region 保护方法区域
		/// <summary>
		/// 清理所有正在使用的资源。
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			base.Dispose( disposing );
		}
		#endregion 

		#region 公有方法区域
		public XuQiuChaXunForm()
		{			
			InitializeComponent();
			//获得界面控制器实例
			jiemianKongZhi = new clsXuQiuChaXunKongZhi(this); 
		}
		#endregion 	

		#region Main方法区域
		/// <summary>
		/// 应用程序的主入口点。
		/// </summary>
		static void Main() 
		{
			Application.Run(new XuQiuChaXunForm());
		}
		#endregion 


		
	}
}
